Module | Shef::Extensions::ObjectCoreExtensions
In: | lib/chef/shef/ext.rb

Extensions to be included in every ‘main’ object in shef. These objects are extended with this module.

### Methods

all_help_descriptions desc ensure_session_select_defined explain explain_command find_or_create_session_for help_banner help_descriptions off on singleton_method_added subcommands

### Public Instance methods

all_help_descriptions()
desc(help_text)
ensure_session_select_defined()
explain(explain_text)
explain_command(method_name)
find_or_create_session_for(context_obj)
help_banner()
help_descriptions()
off()

returns +:off+ so you can just do `tracing off‘

on()

helpfully returns +:on+ so we can have sugary syntax like `tracing on‘

singleton_method_added(mname)
subcommands(subcommand_help={})

[Validate]